<?php
// Comprobamos que efectivamente se hayan enviado datos desde el formulario
if(!@$_POST) exit();

include('configuracion.php');

/*
$recaptcha='error';
    if(isset($_POST['g-recaptcha-response']) && !empty($_POST['g-recaptcha-response'])){        
        // Clave secreta
        $secret = '6LebHwEaAAAAABR-vUIbYckHUgKbgg_gHDmL_sg_';
        $verifyResponse = file_get_contents('https://www.google.com/recaptcha/api/siteverify?secret='.$secret.'&response='.$_POST['g-recaptcha-response']);
        $responseData = json_decode($verifyResponse);
        if($responseData->success){ $recaptcha='ok'; }
    } else { $recaptcha='error'; }

    if ($recaptcha=='error') { 
        header("Location:contacto?error"); 
        exit;
    }

    */


// Limpiamos los datos recibidos
$_POST['motivo'] = isset($_POST['motivo']) ? $_POST['motivo'] : NULL;
$_POST['nombre'] = isset($_POST['nombre']) ? $_POST['nombre'] : NULL;
$_POST['email'] = isset($_POST['email']) ? $_POST['email'] : NULL;
$_POST['telefono'] = isset($_POST['telefono']) ? $_POST['telefono'] : NULL;
$_POST['mensaje'] = isset($_POST['mensaje']) ? $_POST['mensaje'] : NULL;

$motivo = funcion::limpiar($_POST['motivo']);
$nombre = funcion::limpiar($_POST['nombre']);
$nombre_completo = $nombre;
$slug = funcion::slug($nombre_completo);

$email = funcion::limpiar($_POST['email']);
$email = strtolower($email);

$telefono = funcion::limpiar($_POST['telefono']);

$mensaje = funcion::limpiar($_POST['mensaje']);
$mensaje = str_replace('\r\n','<br>',$mensaje);


// Asignamos el resto de las variables
$fecha = date('Y-m-d H:i:s');
$fecha_castellano = date('d-m-Y | H:i a');




	// Incluimos la clase PHPMailer
/*
    require "lib/class.phpmailer.php";

	require_once "emails/email-contacto-administrador.php";
	
	require_once "emails/email-contacto-usuario.php";
*/

		// INSERTAMOS EN LA BD
		$datos = array(
			'fecha' => $db->string($fecha),
			'slug' => $db->string($slug),
			'motivo' => $db->string($motivo),
			'nombre' => $db->string($nombre),
			'nombre_completo' => $db->string($nombre_completo),
			'email' => $db->string($email),
			'telefono' => $db->string($telefono),
			'pais'  => @$pais+0,
			'mensaje' => $db->string($mensaje)
		);
		
		$db->insert('contactos',$datos);

header("Location:contact?nombre=".$nombre);
exit;
?>